- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- AddReviewer
- ReplaceReviewer
- Try it!
Reassigns the reviewers on an Approval. Adds or replaces reviewers in the ReviewerResponse of the Approval.
This can be called by any user with the writer permission on the file while the Approval Status is IN_PROGRESS and the Response for the reviewer being reassigned is NO_RESPONSE. A user with the reader permission can only reassign an approval that's assigned to themselves.
Removing a reviewer isn't allowed.
HTTP request
POST https://www.googleapis.com/drive/v3/files/{fileId}/approvals/{approvalId}:reassign
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
fileId |
Required. The ID of the file the Approval is on. |
approvalId |
Required. The ID of the Approval to reassign. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "addReviewers": [ { object ( |
| Fields | |
|---|---|
addReviewers[] |
Optional. The list of reviewers to add. |
replaceReviewers[] |
Optional. The list of reviewer replacements. |
message |
Optional. A message to send to the new reviewers. This message will be included in notifications for the action and in the Approval activity log. |
Response body
If successful, the response body contains an instance of Approval.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/drivehttps://www.googleapis.com/auth/drive.filehttps://www.googleapis.com/auth/drive.metadata
Some scopes are restricted and require a security assessment for your app to use them. For more information, see the Authorization guide.
AddReviewer
Representation of a reviewer addition.
| JSON representation |
|---|
{ "addedReviewerEmail": string } |
| Fields | |
|---|---|
addedReviewerEmail |
Required. The email of the reviewer to add. |
ReplaceReviewer
Representation of a reviewer replacement.
| JSON representation |
|---|
{ "addedReviewerEmail": string, "removedReviewerEmail": string } |
| Fields | |
|---|---|
addedReviewerEmail |
Required. The email of the reviewer to add. |
removedReviewerEmail |
Required. The email of the reviewer to remove. |